Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Interface DynAnyOperations

All Known Subinterfaces:
  DynAny, DynArray, DynArrayOperations, DynEnum, DynEnumOperations, DynFixed, DynFixedOperations, DynSequence, DynSequenceOperations, DynStruct, DynStructOperations, DynUnion, DynUnionOperations, DynValue, DynValueBox, DynValueBoxOperations, DynValueCommon, DynValueCommonOperations, DynValueOperations

public interface DynAnyOperations

Interface definition : DynAny

Author:
  OpenORB Compiler

Method Summary
`void` | `assign(DynAny dyn_any)` Operation assign
`int` | `component_count()` Operation component_count
`DynAny` | `copy()` Operation copy
`DynAny` | `current_component()` Operation current_component
`void` | `destroy()` Operation destroy
`boolean` | `equal(DynAny dyn_any)` Operation equal
`void` | `from_any(Any value)` Operation from_any
`java.lang.Object` | `get_abstract()` Operation get_abstract
`Any` | `get_any()` Operation get_any
`boolean` | `get_boolean()` Operation get_boolean
`char` | `get_char()` Operation get_char
`double` | `get_double()` Operation get_double
`DynAny` | `get_dyn_any()` Operation get_dyn_any
`float` | `get_float()` Operation get_float
`int` | `get_long()` Operation get_long
`long` | `get_longlong()` Operation get_longlong
`byte` | `get_octet()` Operation get_octet
`Object` | `get_reference()` Operation get_reference
`short` | `get_short()` Operation get_short
`java.lang.String` | `get_string()` Operation get_string
`TypeCode` | `get_typecode()` Operation get_typecode
`int` | `get_ulong()` Operation get_ulong
`long` | `get_ulonglong()` Operation get_ulonglong
`short` | `get_ushort()` Operation get_ushort
`java.io.Serializable` | `get_val()` Operation get_val
`char` | `get_wchar()` Operation get_wchar
`java.lang.String` | `get_wstring()` Operation get_wstring
`void` | `insert_abstract(java.lang.Object value)` Operation insert_abstract
`void` | `insert_any(Any value)` Operation insert_any
`void` | `insert_boolean(boolean value)` Operation insert_boolean
`void` | `insert_char(char value)` Operation insert_char
`void` | `insert_double(double value)` Operation insert_double
`void` | `insert_dyn_any(DynAny value)` Operation insert_dyn_any
`void` | `insert_float(float value)` Operation insert_float
`void` | `insert_long(int value)` Operation insert_long
`void` | `insert_longlong(long value)` Operation insert_longlong
`void` | `insert_octet(byte value)` Operation insert_octet
`void` | `insert_reference(Object value)` Operation insert_reference
`void` | `insert_short(short value)` Operation insert_short
`void` | `insert_string(java.lang.String value)` Operation insert_string
`void` | `insert_typecode(TypeCode value)` Operation insert_typecode
`void` | `insert_ulong(int value)` Operation insert_ulong
`void` | `insert_ulonglong(long value)` Operation insert_ulonglong
`void` | `insert_ushort(short value)` Operation insert_ushort
`void` | `insert_val(java.io.Serializable value)` Operation insert_val
`void` | `insert_wchar(char value)` Operation insert_wchar
`void` | `insert_wstring(java.lang.String value)` Operation insert_wstring
`boolean` | `next()` Operation next
`void` | `rewind()` Operation rewind
`boolean` | `seek(int index)` Operation seek
`Any` | `to_any()` Operation to_any
`TypeCode` | `type()` Operation type

Method Detail

### type

    public TypeCode type()

  Operation type

### assign

    public void assign(DynAny dyn_any)
                throws TypeMismatch

  Operation assign

### from_any

    public void from_any(Any value)
                  throws TypeMismatch,
                         InvalidValue

  Operation from_any

### to_any

    public Any to_any()

  Operation to_any

### equal

    public boolean equal(DynAny dyn_any)

  Operation equal

### destroy

    public void destroy()

  Operation destroy

### copy

    public DynAny copy()

  Operation copy

### insert_boolean

    public void insert_boolean(boolean value)
                        throws TypeMismatch,
                               InvalidValue

  Operation insert_boolean

### insert_octet

    public void insert_octet(byte value)
                      throws TypeMismatch,
                             InvalidValue

  Operation insert_octet

### insert_char

    public void insert_char(char value)
                     throws TypeMismatch,
                            InvalidValue

  Operation insert_char

### insert_short

    public void insert_short(short value)
                      throws TypeMismatch,
                             InvalidValue

  Operation insert_short

### insert_ushort

    public void insert_ushort(short value)
                       throws TypeMismatch,
                              InvalidValue

  Operation insert_ushort

### insert_long

    public void insert_long(int value)
                     throws TypeMismatch,
                            InvalidValue

  Operation insert_long

### insert_ulong

    public void insert_ulong(int value)
                      throws TypeMismatch,
                             InvalidValue

  Operation insert_ulong

### insert_float

    public void insert_float(float value)
                      throws TypeMismatch,
                             InvalidValue

  Operation insert_float

### insert_double

    public void insert_double(double value)
                       throws TypeMismatch,
                              InvalidValue

  Operation insert_double

### insert_string

    public void insert_string(java.lang.String value)
                       throws TypeMismatch,
                              InvalidValue

  Operation insert_string

### insert_reference

    public void insert_reference(Object value)
                          throws TypeMismatch,
                                 InvalidValue

  Operation insert_reference

### insert_typecode

    public void insert_typecode(TypeCode value)
                         throws TypeMismatch,
                                InvalidValue

  Operation insert_typecode

### insert_longlong

    public void insert_longlong(long value)
                         throws TypeMismatch,
                                InvalidValue

  Operation insert_longlong

### insert_ulonglong

    public void insert_ulonglong(long value)
                          throws TypeMismatch,
                                 InvalidValue

  Operation insert_ulonglong

### insert_wchar

    public void insert_wchar(char value)
                      throws TypeMismatch,
                             InvalidValue

  Operation insert_wchar

### insert_wstring

    public void insert_wstring(java.lang.String value)
                        throws TypeMismatch,
                               InvalidValue

  Operation insert_wstring

### insert_any

    public void insert_any(Any value)
                    throws TypeMismatch,
                           InvalidValue

  Operation insert_any

### insert_dyn_any

    public void insert_dyn_any(DynAny value)
                        throws TypeMismatch,
                               InvalidValue

  Operation insert_dyn_any

### insert_val

    public void insert_val(java.io.Serializable value)
                    throws TypeMismatch,
                           InvalidValue

  Operation insert_val

### get_boolean

    public boolean get_boolean()
                        throws TypeMismatch,
                               InvalidValue

  Operation get_boolean

### get_octet

    public byte get_octet()
                   throws TypeMismatch,
                          InvalidValue

  Operation get_octet

### get_char

    public char get_char()
                  throws TypeMismatch,
                         InvalidValue

  Operation get_char

### get_short

    public short get_short()
                    throws TypeMismatch,
                           InvalidValue

  Operation get_short

### get_ushort

    public short get_ushort()
                     throws TypeMismatch,
                            InvalidValue

  Operation get_ushort

### get_long

    public int get_long()
                 throws TypeMismatch,
                        InvalidValue

  Operation get_long

### get_ulong

    public int get_ulong()
                  throws TypeMismatch,
                         InvalidValue

  Operation get_ulong

### get_float

    public float get_float()
                    throws TypeMismatch,
                           InvalidValue

  Operation get_float

### get_double

    public double get_double()
                      throws TypeMismatch,
                             InvalidValue

  Operation get_double

### get_string

    public java.lang.String get_string()
                                throws TypeMismatch,
                                       InvalidValue

  Operation get_string

### get_reference

    public Object get_reference()
                         throws TypeMismatch,
                                InvalidValue

  Operation get_reference

### get_typecode

    public TypeCode get_typecode()
                          throws TypeMismatch,
                                 InvalidValue

  Operation get_typecode

### get_longlong

    public long get_longlong()
                      throws TypeMismatch,
                             InvalidValue

  Operation get_longlong

### get_ulonglong

    public long get_ulonglong()
                       throws TypeMismatch,
                              InvalidValue

  Operation get_ulonglong

### get_wchar

    public char get_wchar()
                   throws TypeMismatch,
                          InvalidValue

  Operation get_wchar

### get_wstring

    public java.lang.String get_wstring()
                                 throws TypeMismatch,
                                        InvalidValue

  Operation get_wstring

### get_any

    public Any get_any()
                throws TypeMismatch,
                       InvalidValue

  Operation get_any

### get_dyn_any

    public DynAny get_dyn_any()
                       throws TypeMismatch,
                              InvalidValue

  Operation get_dyn_any

### get_val

    public java.io.Serializable get_val()
                                 throws TypeMismatch,
                                        InvalidValue

  Operation get_val

### seek

    public boolean seek(int index)

  Operation seek

### rewind

    public void rewind()

  Operation rewind

### next

    public boolean next()

  Operation next

### component_count

    public int component_count()

  Operation component_count

### current_component

    public DynAny current_component()
                             throws TypeMismatch

  Operation current_component

### insert_abstract

    public void insert_abstract(java.lang.Object value)
                         throws TypeMismatch,
                                InvalidValue

  Operation insert_abstract

### get_abstract

    public java.lang.Object get_abstract()
                                  throws TypeMismatch,
                                         InvalidValue

  Operation get_abstract

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD